Subject: Re: Politically Correct way of doing password authentication? <[email-masked]>

From: Ken Hornstein <[email-masked]>

>>                   I also made pppd open the device in O_NDELAY mode--I
>> don't know why it was commented out, but modems react much better if you
>> open them this way.
>
>My guess would be (not saying your fix is incorrect) that in most cases
>the "chat" program would be used to open the port and dial. Just a thought.

As far as I can tell, it only makes sense to have pppd open the device and
then call chat; that's how I use it, and I can't see any other way to do it
that makes sense.

FWIW, I made the very same O_NDELAY hack to pppd a while back so it would work
on the home machine, so of course I think it's a good idea :-)

--Ken